Bug 15068 - /etc/bashrc.d/ is the place for bash-specific /etc/profile.d/gvfs-bash-completion.sh
: /etc/bashrc.d/ is the place for bash-specific /etc/profile.d/gvfs-bash-comple...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gvfs)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 9273
: 9148 13041
  Show dependency tree
 
Reported: 2008-03-25 03:15 by
Modified: 2008-03-31 22:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-25 03:15:37
gvfs-0.2.0.1-alt2

/etc/profile.d/gvfs-bash-completion.sh is for bash-completion, and
bash-completion is only for bash, so gvfs-bash-completion.sh should be run only
in bash and not in all other shells, so it should be placed into /etc/bashrc.d/,
as it is done already for bash-completion.sh
(https://bugzilla.altlinux.org/show_bug.cgi?id=9273 ).

Or might it also be useful for zsh's completion (I don't know whether
bash-completion and zsh are compatible).
------- Comment #1 From 2008-03-25 14:59:16 -------
Noticed when reading
http://lists.altlinux.org/pipermail/devel/2008-March/071858.html .
------- Comment #2 From 2008-03-25 21:23:03 -------
Or even better place: /etc/bash_completion.d/ , as it is done in
bash-completion-svn-1.4.4-alt1 for /etc/bash_completion.d/svn .
------- Comment #3 From 2008-03-27 20:40:52 -------
fixed in gvfs-0.2.1-alt1
------- Comment #4 From 2008-03-31 22:02:02 -------
gvfs-0.2.1-alt2
bash-completion-gvfs-0.2.1-alt2
are OK, thanks!